SAP Knowledge Base Article - Preview

2868931 - preupgrade.jar fails with "ERROR - Unable to run preupgrade" and PLS-00302

Symptom

Running preupgrade.jar while upgrading the Oracle Database to 18c or above below error is visible in the command prompt:

oracle> $ORACLE_HOME/jdk/bin/java -jar /oracle/<DBSID>/18.0.0/sap/ora_upgrade/pre_upgrade_utility/preupgrade.jar FILE DIR /oracle/<DBSID>/oraupgrade.18c
ERROR - Unable to run the preupgrade due to:ERROR - Unable to run preupgrade due to:
old  10:     is_xml := ('&&2' = 'XML');
new  10:     is_xml := ('TEXT' = 'XML');
old  12:     IF '&&1' = 'FILE' THEN
new  12:     IF 'FILE' = 'FILE' THEN
old  38:     IF '&&3' = 'EXEC' THEN
new  38:     IF 'EXEC' = 'EXEC' THEN
    dbms_preup.debug := false;
               *
ERROR at line 8:
ORA-06550: line 8, column 16:
PLS-00302: component 'DEBUG' must be declared
ORA-06550: line 8, column 5:
PL/SQL: Statement ignored
ORA-06550: line 18, column 23:
PLS-00302: component 'DB_IS_CDB' must be declared
ORA-06550: line 18, column 9:
PL/SQL: Statement ignored
ORA-06550: line 39, column 45:
PLS-00302: component 'RUN_PREUPGRADE' must be declared
ORA-06550: line 39, column 9:
PL/SQL: Statement ignored
ORA-06550: line 48, column 20:
PLS-00302: component 'DB_IS_CDB' must be declared
ORA-06550: line 48, column 6:
PL/SQL: Statement ignored


Read more...

Environment

  • Oracle RDBMS 12c or above
  • SAP Netweaver

Product

SAP ERP 6.0

Keywords

preupgrade.jar, upgrade, dbua.sap.sh, DBUA, invalid, status, objects, dba_registry, dba_objects, 18c, 12c, 12.2.0.1, 19c, 12.1.0.2 , KBA , BC-DB-ORA , Oracle , Problem

About this page

This is a preview of a SAP Knowledge Base Article. Click more to access the full version on SAP ONE Support launchpad (Login required).

Search for additional results

Visit SAP Support Portal's SAP Notes and KBA Search.